package com.heyu.api.data.entity.user;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*用户家庭表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("user_home")
public class UserHomeEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.user.UserHomeEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String user_id = CLASS_NAME + "user_id";            // 用户id
    public final static String home_name = CLASS_NAME + "home_name";        // 家庭名称
    public final static String is_delete = CLASS_NAME + "is_delete";        // 
    public final static String create_time = CLASS_NAME + "create_time";    // 
    public final static String modify_time = CLASS_NAME + "modify_time";    // 
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //用户id
    private Long userId;
    //家庭名称
    private String homeName;
    //
    private Integer isDelete;
    //
    private Date createTime;
    //
    private Date modifyTime;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 用户id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 家庭名称 
     * @return
     */
    public String getHomeName() {
        return homeName;
    }
    /**
     * 家庭名称 
     * @param homeName
     */
    public void setHomeName(String homeName) {
        this.homeName = homeName;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     *  
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     *  
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     *  
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Override
    public String toString() {
        return "UserHomeEntity{" +
                ",id=" + id +
                ",userId=" + userId +
                ",homeName=" + homeName +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                "}";
    }
}